> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VBA Payments By UTR

> Use this API to get the payment details by entering the unique transaction reference (UTR).



## OpenAPI

````yaml /openapi/pgvba/pgvba.yaml get /pg/vba/payments/{utr}
openapi: 3.0.3
info:
  title: PG VBA APIs
  version: '1'
servers:
  - url: https://sandbox.cashfree.com/
    description: Sandbox server
  - url: https://api.cashfree.com/
    description: Production server
security: []
tags:
  - name: Virtual Bank Account APIs
    description: Use these APIs to manage VBA
  - name: VBA Payment APIs
    description: Use these APIs fetch VBA payments
  - name: VBA Notification APIs
    description: Use these APIs to manage notification groups
paths:
  /pg/vba/payments/{utr}:
    get:
      tags:
        - VBA Payment APIs
      summary: Get Payment Details by UTR
      description: >-
        Use this API to get the payment details by entering the unique
        transaction reference (UTR).
      operationId: get-pg-vba-payments-by-utr
      parameters:
        - name: utr
          in: path
          description: >-
            It is the unique transaction reference (UTR) number generated after
            the payment transfer.
          example: '912346578912'
          required: true
          schema:
            type: string
        - name: x-client-id
          in: header
          description: >-
            Client app ID. You can find your app id in the [Merchant
            Dashboard](https://merchant.cashfree.com/merchants/pg/developers/api-keys?env=prod).
          required: true
          schema:
            type: string
        - name: x-client-secret
          in: header
          description: >-
            Client secret key. You can find your secret key in the [Merchant
            Dashboard](https://merchant.cashfree.com/merchants/pg/developers/api-keys?env=prod).
          required: true
          schema:
            type: string
        - name: x-api-version
          in: header
          required: true
          description: API version to be used. The accepted format is YYYY-MM-DD.
          schema:
            type: string
            enum:
              - '2024-07-10T00:00:00.000Z'
        - name: x-request-id
          in: header
          required: false
          description: >-
            Request ID for the API call. Can be used to resolve tech issues.
            Communicate this in your tech related queries to Cashfree.
          schema:
            type: string
            example: 4dfb9780-46fe-11ee-be56-0242ac120002
      responses:
        '200':
          description: >
            Success response for getting payment details by entering the unique
            transaction reference (UTR).
          content:
            application/json:
              schema:
                type: object
                properties:
                  payment_details:
                    type: array
                    items:
                      type: object
                      properties:
                        virtual_account_id:
                          type: string
                          description: >-
                            It displays the unique ID you created to identify
                            the virtual bank account.
                          example: User01
                        utr:
                          type: string
                          description: >-
                            It displays the unique transaction reference (UTR)
                            number generated by the remitter's bank to identify
                            the payment transfer.
                          example: '912345678912'
                        remitter_account:
                          type: string
                          description: >-
                            It displays the bank account number of the remitter
                            account.
                          example: '026291800001191'
                        remitter_name:
                          type: string
                          description: It displays the name of the remitter.
                          example: Doe John
                        amount:
                          type: string
                          description: It displays the transfer amount.
                          example: '10'
                        reference_id:
                          type: string
                          description: >-
                            It displays the unique ID created by Cashfree
                            Payments for reference purposes.
                          example: '001'
                        credit_ref_number:
                          type: string
                          description: >-
                            It displays the unique number generated by Cashfree
                            Payments' partner bank for reference purposes.
                          example: '2382053846'
                        txtime:
                          type: string
                          description: It displays the time of the transaction.
                          example: '2007-06-28 15:28:08'
                        is_settled:
                          type: string
                          description: It displays whether the transaction is settled.
                          example: '1'
                        txstatus:
                          type: string
                          description: >-
                            It displays the status of the transaction. The
                            different statuses are SUCCESS, REJECTED,
                            WAITING_FOR_PAYMENT, FAILED.
                          example: SUCCESS
        '400':
          description: Bad Request Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: bad URL, please check API documentation
                  code:
                    type: string
                    example: request_failed
                  type:
                    type: string
                    example: invalid_request_error
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
        '401':
          description: Authentication Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: authentication Failed
                  code:
                    type: string
                    example: request_failed
                  type:
                    type: string
                    example: authentication_error
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: something is not found
                  code:
                    type: string
                    example: somethind_not_found
                  type:
                    type: string
                    example: invalid_request_error
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
        '409':
          description: Resource Already Present
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: order with same id is already present
                  code:
                    type: string
                    example: order_already_exists
                  type:
                    type: string
                    example: invalid_request_error
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
        '422':
          description: Idempotency Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: something is not found
                  code:
                    type: string
                    example: request_invalid
                  type:
                    type: string
                    example: idempotency_error
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
        '429':
          description: Rate Limit Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Too many requests from IP. Check headers
                  code:
                    type: string
                    example: request_failed
                  type:
                    type: string
                    example: rate_limit_error
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
        '502':
          description: Bank Related Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: something is not found
                  code:
                    type: string
                    example: bank_processing_failure
                  type:
                    type: string
                    example: api_error
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
      deprecated: false
components:
  headers:
    x-api-version:
      description: >
        This header has the version of the API. The current version is
        2022-09-01.
      schema:
        type: string
    x-ratelimit-limit:
      description: |
        Ratelimit set for your account for this API per minute
      schema:
        type: integer
    x-ratelimit-remaining:
      description: |
        Contains number of seconds to wait if rate limit is breached
      schema:
        type: integer
    x-ratelimit-retry:
      description: |
        Contains number of seconds to wait if rate limit is breached
        - Is 0 if withing the limit
        - Is between 1 and 59 if breached
      schema:
        type: integer
    x-ratelimit-type:
      description: >
        either ip or app_id

        - ip if making a call from the browser. True for API where you don't
        need x-client-id and x-client-secret

        - app_id for authenticated API calls i.e using x-client-id and
        x-client-secret
      schema:
        type: string
    x-request-id:
      description: >
        Request ID for your API call. Is blank or null if no x-request-id is
        sent during the request.
      schema:
        type: string
    x-idempotency-key:
      description: >
        An idempotency key is a unique identifier you include with your API
        call. If the request fails or times out, you can safely retry it using
        the same key to avoid duplicate actions.
      schema:
        type: string
    x-idempotency-replayed:
      description: |
        In conjunction with x-idempotency-key this means
        - true if the response was replayed
        - false if the response has not been replayed
      schema:
        type: string

````